GET api/departmentItemapi/departmentItem/{id}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters
None.
Response Information
Resource Description
DepartmentItemViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| item_code | string |
None. |
|
| item_descriptions | Dictionary of string [key] and string [value] |
None. |
|
| selected_sticker_id | globally unique identifier |
None. |
|
| selected_nameplate_id | globally unique identifier |
None. |
|
| active | boolean |
Required |
|
| department_id | globally unique identifier |
Required |
|
| id | globally unique identifier |
None. |
|
| physical_item_id | globally unique identifier |
None. |
|
| service_item_id | globally unique identifier |
None. |
|
| item_wash_max | integer |
None. |
|
| quantity | integer |
None. |
Response Formats
application/json, text/json
Sample:
{
"item_code": "sample string 1",
"item_descriptions": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"selected_sticker_id": "e0841be5-417b-48ad-917e-df8f110caa99",
"selected_nameplate_id": "c06050f3-3c64-4d58-9969-975e055c1778",
"active": true,
"department_id": "21c30106-e033-48fc-aea4-5c30a7c0cd4e",
"id": "5ad0411d-0278-4128-ba4a-035549229e71",
"physical_item_id": "c1df78a3-6757-478c-9a92-b808a4032fc6",
"service_item_id": "be974de4-7c17-4f54-8b1d-ef30c1d2b6bb",
"item_wash_max": 1,
"quantity": 1
}
application/xml, text/xml
Sample:
<department_item xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
<active>true</active>
<department_id>21c30106-e033-48fc-aea4-5c30a7c0cd4e</department_id>
<id>5ad0411d-0278-4128-ba4a-035549229e71</id>
<item_wash_max>1</item_wash_max>
<physical_item_id>c1df78a3-6757-478c-9a92-b808a4032fc6</physical_item_id>
<quantity>1</quantity>
<service_item_id>be974de4-7c17-4f54-8b1d-ef30c1d2b6bb</service_item_id>
<item_code>sample string 1</item_code>
<item_descriptions xmlns:d2p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d2p1:KeyValueOfstringstring>
<d2p1:Key>sample string 1</d2p1:Key>
<d2p1:Value>sample string 2</d2p1:Value>
</d2p1:KeyValueOfstringstring>
<d2p1:KeyValueOfstringstring>
<d2p1:Key>sample string 3</d2p1:Key>
<d2p1:Value>sample string 4</d2p1:Value>
</d2p1:KeyValueOfstringstring>
</item_descriptions>
<selected_nameplate_id>c06050f3-3c64-4d58-9969-975e055c1778</selected_nameplate_id>
<selected_sticker_id>e0841be5-417b-48ad-917e-df8f110caa99</selected_sticker_id>
</department_item>